com.smartgwt.client.types

## Enum FormMethod

- java.lang.Object
- - java.lang.Enum<FormMethod>
  - - com.smartgwt.client.types.FormMethod

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FormMethod>

      public enum FormMethod
      extends java.lang.Enum<FormMethod>
      implements ValueEnum

  Form METHOD parameters - how the form fields are submitted to the server

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET` GET request -- URL encoding (~4K max)
    `POST` POST request -- separate field encoding (no max)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FormMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FormMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final FormMethod GET

      GET request -- URL encoding (~4K max)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "GET".

    - #### POST

          public static final FormMethod POST

      POST request -- separate field encoding (no max)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "POST".

  - ### Method Detail

    - #### values

          public static FormMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormMethod c : FormMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`